## GladeEditorProperty

GladeEditorProperty — A generic widget to edit a GladeProperty.

## Functions

#define | GLADE_MAKE_EPROP_TYPE()
void | glade_editor_property_load ()
void | glade_editor_property_load_by_widget ()
void | glade_editor_property_commit ()

## Properties

gchar * | custom-text | Read / Write
gboolean | disable-check | Read / Write / Construct
gpointer | property-class | Read / Write / Construct Only
gboolean | use-command | Read / Write

## Signals

void | commit | Run Last
void | value-changed | Run Last

## Types and Values

struct | GladeEditorProperty

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GladeEditorProperty

## Implemented Interfaces

GladeEditorProperty implements AtkImplementorIface, GtkBuildable, GtkOrientable and GladeEditable.

## Description

The GladeEditorProperty is a factory that will create the correct control for the GladePropertyClass it was created for and provides a simple unified api to them.

## Functions

### GLADE_MAKE_EPROP_TYPE()

    #define             GLADE_MAKE_EPROP_TYPE(func, type, parent)

### glade_editor_property_load ()

    void
    glade_editor_property_load (GladeEditorProperty *eprop,
                                GladeProperty *property);

Loads `property` values into `eprop` and connects. (the editor property will watch the property's value until its loaded with another property or `NULL`)

#### Parameters

eprop | A GladeEditorProperty |
property | A GladeProperty |

### glade_editor_property_load_by_widget ()

    void
    glade_editor_property_load_by_widget (GladeEditorProperty *eprop,
                                          GladeWidget *widget);

Convenience function to load the appropriate GladeProperty into `eprop` from `widget`

#### Parameters

eprop | A GladeEditorProperty |
widget | A GladeWidget |

### glade_editor_property_commit ()

    void
    glade_editor_property_commit (GladeEditorProperty *eprop,
                                  GValue *value);

Commits `value` to the property currently being edited by `eprop` .

#### Parameters

eprop | A GladeEditorProperty |
value | The GValue to commit |

## Types and Values

### struct GladeEditorProperty

    struct GladeEditorProperty;

## Property Details

### The `“custom-text”` property

      “custom-text”              gchar *

Custom Text to display in the property label.

Flags: Read / Write

Default value: NULL

### The `“disable-check”` property

      “disable-check”            gboolean

Whether to explicitly disable the check button.

Flags: Read / Write / Construct

Default value: FALSE

### The `“property-class”` property

      “property-class”           gpointer

The GladePropertyClass this GladeEditorProperty was created for.

Flags: Read / Write / Construct Only

### The `“use-command”` property

      “use-command”              gboolean

Whether we should use the command API for the undo/redo stack.

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“commit”` signal

    void
    user_function (GladeEditorProperty *gladeeditorproperty,
                   gpointer             arg1,
                   gpointer             user_data)

Emitted when a property's value is committed, can be useful to serialize commands before and after the property's commit command from custom editors.

#### Parameters

gladeeditorproperty | the GladeEditorProperty which changed value |
arg1 | the new GValue to commit. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“value-changed”` signal

    void
    user_function (GladeEditorProperty *gladeeditorproperty,
                   GladeProperty       *arg1,
                   gpointer             user_data)

Emitted when a contained property changes value

#### Parameters

gladeeditorproperty | the GladeEditorProperty which changed value |
arg1 | the GladeProperty that's value changed. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last